package com.ruoyi.project.service;

import java.util.HashMap;
import java.util.List;
import com.ruoyi.project.domain.TrsResultsLog;
import com.ruoyi.project.domain.TrsResultsLogAdmin;

/**
 * 审校日志Service接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface ITrsResultsLogService 
{
    /**
     * 查询审校日志
     * 
     * @param id 审校日志主键
     * @return 审校日志
     */
    public TrsResultsLog selectTrsResultsLogById(Long id);

    /**
     * 查询审校日志列表
     * 
     * @param trsResultsLog 审校日志
     * @return 审校日志集合
     */
    public List<TrsResultsLog> selectTrsResultsLogList(TrsResultsLog trsResultsLog);

    /**
     * 查询审校日志列表
     *
     * @param trsResultsLog 审校日志
     * @return 审校日志集合
     */
    public List<TrsResultsLogAdmin> selectTrsResultsLogExportList(TrsResultsLog trsResultsLog);

    /**
     * 新增审校日志
     * 
     * @param trsResultsLog 审校日志
     * @return 结果
     */
    public int insertTrsResultsLog(TrsResultsLog trsResultsLog);

    /**
     * 修改审校日志
     * 
     * @param trsResultsLog 审校日志
     * @return 结果
     */
    public int updateTrsResultsLog(TrsResultsLog trsResultsLog);

    /**
     * 批量删除审校日志
     * 
     * @param ids 需要删除的审校日志主键集合
     * @return 结果
     */
    public int deleteTrsResultsLogByIds(String ids);

    /**
     * 删除审校日志信息
     * 
     * @param id 审校日志主键
     * @return 结果
     */
    public int deleteTrsResultsLogById(Long id);
}
